Name:           libgpg-error
Version:        0.7
Release:        0.fdr.1.rh90
Epoch:          0
Summary:        Common error value library for all GnuPG components

Group:          System Environment/Libraries
License:        LGPL
URL:            ftp://ftp.gnupg.org/gcrypt/alpha/libgpg-error/
Source0:  ftp://ftp.gnupg.org/gcrypt/alpha/libgpg-error/libgpg-error-0.7.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
%{summary}.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%check || :
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%exclude %{_libdir}/*.la


%changelog
* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7-0.fdr.1
- Update to 0.7.

* Tue Nov 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6-0.fdr.3
- Don't include the GPL in docs.

* Tue Nov 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6-0.fdr.2
- s/GPL/LGPL/ (bug 459).

* Sun Nov 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6-0.fdr.1
- Update to 0.6.

* Tue Oct  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-0.fdr.1
- Update to 0.5.

* Thu Sep 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.1
- Update to 0.4.

* Fri Aug 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.1
- Update to 0.3.
- make check in the %%check section.

* Thu Jul 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1-0.fdr.1
- First build.
